import { BindingEngine } from "aurelia-framework";
import { Config } from "../../config";
import { BaseInput } from "./base-input";
export declare class UIInput extends BaseInput {
    element: Element;
    config: Config;
    bindingEngine: BindingEngine;
    value: string | number;
    type: "text" | "number" | "url" | "email" | "password";
    placeholder: string;
    autocomplete: string;
    autofocus: boolean;
    inputMode: string;
    min: string | number;
    max: string | number;
    step: string | number;
    private inputValue;
    constructor(element: Element, config: Config, bindingEngine: BindingEngine);
    protected bind(): void;
    protected attached(): void;
    get counter(): string;
    protected maxlengthChanged(): void;
    private ignoreInputValueChange;
    private ignoreValueChange;
    private inputValueChanged;
    protected valueChanged(): void;
    protected blur(): void;
    protected focusOut(): void;
    protected mouseOut(): void;
    protected toNumber(value: string | number): number;
    private resetPlaceholder;
    private inputModeChanged;
}
